## gate.util
Class Scratch

    java.lang.Object
      |
      +--gate.util.Scratch

public class Scratch
extends Object

A scratch pad for experimenting.

Inner Class Summary
`(package private) class` `Scratch.SessionState` Inner class for holding CR and DSR for serialisation experiments

Field Summary
`private static boolean` `DEBUG` Debug flag
`protected static Random` `randomiser` Random number generator

Constructor Summary
`Scratch()`

Method Summary
`static void` `dumpGuiState()` ***** Failed ***** attempt to serialise whole gui state - various swing components don't like to be serialised :-(.
`static void` `exitTimeHook()` Example of using an exit-time hook.
`static void` `main(String[] args)`
`protected static int` `random()` Generate a random integer for file naming.
`void` `runNerc()` Run NERC and print out the various stages (doesn't actually use Nerc but the individual bits), and serialise then deserialise the NERC system.

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### randomiser

    protected static Random randomiser

  Random number generator

Constructor Detail

### Scratch

    public Scratch()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

### exitTimeHook

    public static void exitTimeHook()

  Example of using an exit-time hook.

### dumpGuiState

    public static void dumpGuiState()

  ***** Failed ***** attempt to serialise whole gui state - various swing components don't like to be serialised :-(. might be worth trying again when jdk1.4 arrives.

### runNerc

    public void runNerc()
                 throws Exception

  Run NERC and print out the various stages (doesn't actually use Nerc but the individual bits), and serialise then deserialise the NERC system.

### random

    protected static int random()

  Generate a random integer for file naming.